#!/usr/bin/env python
import coral ; metamodel=coral.lang.UML14
m = metamodel.Model()

m.name = "Model"

for i in m.__all_slots__():
    print i, i.getProperty().getName()

for i in m.__all_slots__():
    print i, i.getProperty().getName()

a = m.__properties__()
for i in a:
    print i, i.getName()

for i in m.ownedElement:
    print i

for i in range(5):
    m.ownedElement.add(metamodel.Class())

for i in m.ownedElement:
    print i
